Main Page Class Hierarchy Compound List File List Compound Members File Members

# ServerMagnitudeRequest Class Reference

`#include <magnserverrequest.h>`

Inheritance diagram for ServerMagnitudeRequest:

List of all members.

## Public Member Functions
| ServerMagnitudeRequest ()
void | SetTestValue (int p_value)
int | GetTestValue ()
## Protected Member Functions
long | BufferInitAlloc ()
void | FormatDerivativeData ()
void | ParseDerivativeData ()
## Protected Attributes
int | TestValue

## Constructor & Destructor Documentation

ServerMagnitudeRequest::ServerMagnitudeRequest | ( |  | ) |

| Definition at line 11 of file magnserverrequest.cpp. References TestValue.

## Member Function Documentation

long ServerMagnitudeRequest::BufferInitAlloc | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerRequest. Definition at line 18 of file magnserverrequest.cpp. References MutableServerRequest::BufferInitAlloc().

void ServerMagnitudeRequest::FormatDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerRequest. Definition at line 29 of file magnserverrequest.cpp. References MutableServerRequest::FormatDerivativeData(), and MutableServerMessage::MessageBuffer.

int ServerMagnitudeRequest::GetTestValue | ( |  | ) |

| Definition at line 84 of file magnserverrequest.cpp. References TestValue.

void ServerMagnitudeRequest::ParseDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerRequest. Definition at line 41 of file magnserverrequest.cpp. References MutableServerMessage::MessageBuffer, MutableServerRequest::ParseDerivativeData(), and TestValue.

void ServerMagnitudeRequest::SetTestValue | ( | int | p_value | ) |

| Definition at line 70 of file magnserverrequest.cpp. References TestValue.

## Member Data Documentation

int ServerMagnitudeRequest::TestValue`[protected]`

| Definition at line 96 of file magnserverrequest.h. Referenced by GetTestValue(), ParseDerivativeData(), ServerMagnitudeRequest(), and SetTestValue().

The documentation for this class was generated from the following files:

- magnserverrequest.h
- magnserverrequest.cpp